/****************************************************************************\
*   TSTRINGS - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   tstrings.h                                         *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file contain start of work for NLS support by BIEW.                  *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#ifndef __TRSTRINGS__H
#define __TSTRINGS__H

#define BIEW_VERSION "5.0.0"
//  Ver.SubVer.ExtraVer-ReleaseLevel.Test_FixPak_Level

extern char   msgUndef[];
extern char   msgFatalError[];
extern char * msgCritExitCause[];
extern char * msgCritExit[];
extern char * msgAsmErrList[];
extern char * msgTypeComments[];
extern char * msgComputerErrors[];
extern char * msgHardPlace[];
extern char   msgAboutText[];
extern char * BiewPicture[];
extern char * CompPicture[];
extern char * MBoardPicture[];
extern char * BitStreamPicture[];
extern char * ConnectorPicture[];
extern char * BiewerPicture[];
extern char * BiewerScreenPicture[];
extern char * CompScreenPicture[];
extern char * msgWinCompat[];
extern char * msgHeadDesc[];
extern char * msgFindOpt[];

#define BIEW_VER_MSG          " Binary Viewer v "BIEW_VERSION"-"__PLATFORM__"."__OS_NAME__" Build: "__DATE__" "

#define UNDEFINE               "Undefined"
#define FATAL_ERROR            " *** FATAL ERROR *** : "

#define ISR_JUMP               " Jump to ISR "
#define INT_NUMBER             " Number of interrupt : "
#define GO_ABS_SHIFT           " Go to absolute shift "
#define GO_REL_SHIFT           " Go to relative shift "
#define TYPE_SHIFT             "Type new shifts : "
#define DIG_EVALUTOR           " Digital evaluator (hexadecimal) "
#define DIG_OPERATORS          " Known Operators - ()+-*/% ~|&^ "
#define EXPRESSION             "Expression:"
#define RESULT                 "Result:"
#define TYPE_HEX_FORM          "Type desired parameters in hexadecimal form:"
#define FILE_PRMT              "File :"
#define START_PRMT             "Start:"
#define LENGTH_PRMT            "Length :"
#define INIT_MASK              " Initialize mask "
#define INPUT_MASK             "Input new value of XX:"
#define ASM_HEAD               " 80686/80687 assembler (242/75 instructions mnemomics) [debug release!!!] "
#define WRITE_HRD              " Write"
#define READ_HRD               " Read"
#define ERROR_HRD              "-error on"
#define DISK_HRD               "disk "
#define DEVICE_HRD             " device"
#define UNK_ERROR              "Unknown error"
#define ABORT_MSG              " Abort "
#define RETRY_MSG              " Retry "
#define FAIL_MSG               " Fail "
#define IGNORE_MSG             " Ignore "
#define ERROR_MSG              " Error "
#define WARN_MSG               " Warning "
#define NOTE_MSG               " Note "

#define HOW_SEE                " How to see "

#define NOT_ENTRY              "Entry not found"
#define UNK_SIGNATURE          "Unknown type of signature : "
#define UNK_HEADER             " Unknown header "
#define MOD_REFER              " Detected Module References : "
#define EXT_REFER              " External Refernces : "
#define EXP_TABLE              " Export Table : "
#define RES_NAMES              " Resident Names : "
#define NORES_NAMES            " Non Resident Names : "
#define IMPPROC_TABLE          " Import Procedures Table : "

#define BACKWARD               "Backward"
#define FORWARD                "Forward "
#define FIND_STR               " Find string "
#define TYPE_STR               "Type string to search (for control letters hold ALT down + NumPads)"
#define FIND_PRMT              " [F2] - Case [F3] - Word [F4] - Scan "
#define PLEASE_WAIT            "Please wait ... "
#define SEARCHING              " Searching "
#define STR_NOT_FOUND          "String not found"
#define SEARCH_MSG             " Search "
#define SYS_INFO               " System information"
#define CPU_INFO               " CPU information "
#define PLEASE_WAIT12          "Please wait 1 - 2 sec..."

#define PAGEBOX_SUB            " [PgUp]/[PgDn] - Move  [ENTER] - Go Entry "
#define SPAGEBOX_SUB           " [PgUp]/[PgDn] - Move "

#define NAME_OF_EXP_FILE       " Name of export file "
#define NAME_MSG               " Name : "
#define ACCESS_DENIED          " Access denied "

#endif
 