/****************************************************************************\
*   BIEWTYPE - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   biewtype.h                                         *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file contain common types definitions for BIEW project.              *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/

#ifndef __BIEWTYPE_H
#define __BIEWTYPE_H

#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned char      tByte;
typedef signed char        tChar;
typedef unsigned short     tWord;
typedef signed short       tShort;
typedef unsigned int       tUInt;
typedef signed int         tInt;
typedef unsigned long      tDWord;
typedef signed long        tLong; 

#ifdef __cplusplus
}
#endif

#endif
 