/****************************************************************************\
*   RDOFF2 - this header file is part of Binary vIEW project (BIEW)          *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   plugins/bin/rdoff2.h                               *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file contain RDOFF v2 file definitions                               *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#ifndef __RDOFF_INC
#define __RDOFF_INC

#include "biewtype.h"

#ifdef __GNUC__
#pragma pack(1)
#endif

/* RDOFF v2 fixed header */
typedef struct tag_rdoff2_Header
{
  unsigned char id[6]; /* RDOFF2 or RDOFF\02 */
  unsigned long image_len;
  unsigned long header_len;
}rdoff2_Header;


#ifdef __GNUC__
#pragma pack()
#endif

#endif  