/****************************************************************************\
*   KBD_CODE - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   kbd_code.h                                         *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file includes OS depended keyboard codes.                            *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/

#if defined( __MSDOS__ ) || defined ( __OS2__ )
#include "../../lib/sysdep/i86/dos/kbd_code.h"
#elif defined ( __WIN32__ )
#include "../../lib/sysdep/i386/win32/kbd_code.h"
#elif defined ( __UNIX__ )
#include "../../lib/sysdep/generic/unix/kbd_code.h"
#elif defined ( __LINUX__ )
#include "../../lib/sysdep/generic/linux/kbd_code.h"
#else
#error This file is still not ported under required operating system
#endif
